---
- name: Manage auto logon registry keys
  community.windows.win_auto_logon:
    logon_count: "{{ item['logon_count'] | default(omit) }}"
    password: "{{ item['password'] | default(omit) }}"
    state: "{{ item['state'] | default('present') }}"
    username: "{{ item['username'] | default(omit) }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['username'] }} → {{ item['state'] | default('present') }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_auto_logon
